Subject: Re: Should (t)path = array-unique-special work this way
From: Peter Stephenson <[email-masked]>
To: Sebastian Gniazdowski <[email-masked]>, Zsh hackers list <[email-masked]>
Date: Fri, 05 Feb 2016 17:46:24 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Fri, 05 Feb 2016 18:34:06 +0100
Sebastian Gniazdowski <[email-masked]> wrote:
> That was my question. The path has *-unique in type, this could be
> viewed as a guard that no repetition is possible, but the guard is
> avoided by assigning to PATH. That's from one point of view
> unexpected.

It wasn't your question, but you can of course make PATH unique too, and
I suppose an additional lesson is that for least surprises you might
want always to do

typeset -U path PATH

pws